Package pyplusplus :: Package code_creators :: Module class_declaration :: Class class_declaration_t

# type class_declaration_t

source code

    declaration_based.declaration_based_t --+
                                            |
                           object --+       |
                                    |       |
          code_creator.code_creator_t --+   |
                                        |   |
                      compound.compound_t --+
                                            |
                              scoped.scoped_t --+
                                                |
                               object --+       |
                                        |       |
              code_creator.code_creator_t --+   |
                                            |   |
      registration_based.registration_based_t --+
                                                |
                                               class_declaration_t

Instance Methods

__init__(self, class_inst) Constructor. | source code

is_exposed_using_scope(self) | source code

Inherited from `declaration_based.declaration_based_t`: `get_user_headers` Inherited from `compound.compound_t`: `adopt_creator`, `adopt_creators`, `get_system_headers`, `remove_creator` Inherited from `code_creator.code_creator_t`: `beautify`, `create`

Static Methods
Inherited from `compound.compound_t`: `create_internal_code` Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| class_var_name
| typedef_name
Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation` Inherited from `compound.compound_t`: `creators` Inherited from `registration_based.registration_based_t`: `associated_decl_creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, class_inst)
(Constructor)

source code

Constructor.

Parameters:
  - `declaration` - Declaration object
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### class_var_name

### typedef_name